| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
App1SensorData_t Struct Reference

`#include <App1_types.h>`

Collaboration diagram for App1SensorData_t:

## Data Fields
DATA_TYPE_SUB0 | rawAccelerometerData_Sub0 [DATA_FIFO_LEN_SUB0]
DATA_TYPE_SUB1 | rawAccelerometerData_Sub1 [DATA_FIFO_LEN_SUB1]
DATA_TYPE_SUB2 | rawAccelerometerData_Sub2 [DATA_FIFO_LEN_SUB2]
DATA_TYPE_SUB3 | rawAccelerometerData_Sub3 [DATA_FIFO_LEN_SUB3]
DATA_TYPE_SUB4 | rawAccelerometerData_Sub4 [DATA_FIFO_LEN_SUB4]
DATA_TYPE_SUB5 | rawAccelerometerData_Sub5 [DATA_FIFO_LEN_SUB5]
DATA_TYPE_SUB6 | rawAccelerometerData_Sub6 [DATA_FIFO_LEN_SUB6]
DATA_TYPE_SUB7 | rawAccelerometerData_Sub7 [DATA_FIFO_LEN_SUB7]
DATA_TYPE_SUB8 | rawMagnetometerData_Sub8 [DATA_FIFO_LEN_SUB8]
DATA_TYPE_SUB9 | rawMagnetometerData_Sub9 [DATA_FIFO_LEN_SUB9]
DATA_TYPE_SUB10 | rawGyrometerData_Sub10 [DATA_FIFO_LEN_SUB10]
DATA_TYPE_SUB11 | rawGyrometerData_Sub11 [DATA_FIFO_LEN_SUB11]
DATA_TYPE_SUB12 | rawPressureData_Sub12 [DATA_FIFO_LEN_SUB12]
DATA_TYPE_SUB13 | rawTemperatureData_Sub13 [DATA_FIFO_LEN_SUB13]
DATA_TYPE_SUB14 | rawOrientationData_Sub14 [DATA_FIFO_LEN_SUB14]
DATA_TYPE_SUB15 | rawAltitudeData_Sub15 [DATA_FIFO_LEN_SUB15]
DATA_TYPE_SUB16 | rawPedometerData_Sub16 [DATA_FIFO_LEN_SUB16]
DATA_TYPE_SUB17 | rawPedometerData_Sub17 [DATA_FIFO_LEN_SUB17]
DATA_TYPE_SUB18 | rawCustomData_Sub18 [DATA_FIFO_LEN_SUB18]
DATA_TYPE_SUB19 | rawAnalogData_Sub19 [DATA_FIFO_LEN_SUB19]
uint8 | processedData [34]

## Detailed Description

Definition at line 160 of file App1_types.h.

## Field Documentation

uint8 processedData[34]

Definition at line 181 of file App1_types.h.

DATA_TYPE_SUB0 rawAccelerometerData_Sub0[DATA_FIFO_LEN_SUB0]

Definition at line 161 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB1 rawAccelerometerData_Sub1[DATA_FIFO_LEN_SUB1]

Definition at line 162 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB2 rawAccelerometerData_Sub2[DATA_FIFO_LEN_SUB2]

Definition at line 163 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB3 rawAccelerometerData_Sub3[DATA_FIFO_LEN_SUB3]

Definition at line 164 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB4 rawAccelerometerData_Sub4[DATA_FIFO_LEN_SUB4]

Definition at line 165 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB5 rawAccelerometerData_Sub5[DATA_FIFO_LEN_SUB5]

Definition at line 166 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB6 rawAccelerometerData_Sub6[DATA_FIFO_LEN_SUB6]

Definition at line 167 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB7 rawAccelerometerData_Sub7[DATA_FIFO_LEN_SUB7]

Definition at line 168 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB15 rawAltitudeData_Sub15[DATA_FIFO_LEN_SUB15]

Definition at line 176 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB19 rawAnalogData_Sub19[DATA_FIFO_LEN_SUB19]

Definition at line 180 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB18 rawCustomData_Sub18[DATA_FIFO_LEN_SUB18]

Definition at line 179 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB10 rawGyrometerData_Sub10[DATA_FIFO_LEN_SUB10]

Definition at line 171 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB11 rawGyrometerData_Sub11[DATA_FIFO_LEN_SUB11]

Definition at line 172 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB8 rawMagnetometerData_Sub8[DATA_FIFO_LEN_SUB8]

Definition at line 169 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB9 rawMagnetometerData_Sub9[DATA_FIFO_LEN_SUB9]

Definition at line 170 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB14 rawOrientationData_Sub14[DATA_FIFO_LEN_SUB14]

Definition at line 175 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB16 rawPedometerData_Sub16[DATA_FIFO_LEN_SUB16]

Definition at line 177 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB17 rawPedometerData_Sub17[DATA_FIFO_LEN_SUB17]

Definition at line 178 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB12 rawPressureData_Sub12[DATA_FIFO_LEN_SUB12]

Definition at line 173 of file App1_types.h.

Referenced by App1_MainTask().

DATA_TYPE_SUB13 rawTemperatureData_Sub13[DATA_FIFO_LEN_SUB13]

Definition at line 174 of file App1_types.h.

Referenced by App1_MainTask().

The documentation for this struct was generated from the following file:

- App1_types.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.